%define name xmms
%define version 1.2.10
%define fname %name-%version
%define release 11mdk

%define additional_effect_plugin_a sox-effect-0.0.1
%define additional_misc_plugin_a xmms-shell-0.99.3
%define lib_major 1
%define lib_name %mklibname xmms %{lib_major}

# Define arches where we build the Mesa3d capable plugin
%define mesa_arches %{ix86} ppc x86_64

Name: xmms
Summary: The Sound player with the WinAmp GUI
Version: %version
Release: %release
License: GPL
Group: Sound
URL: http://www.xmms.org/

Source0: http://www.xmms.org/files/1.2.x/%{fname}.tar.bz2
Source4: %{name}-icons.tar.bz2
Source5: xmms
# updated translations for 1.2.9; to remove or update for next version (pablo)
Source6: xmms-pofiles.tar.bz2
Source10: %{name}.16.png
Source11: %{name}.32.png
Source12: %{name}.48.png
Source50: http://staff.xmms.org/zinx/xmms/%{additional_effect_plugin_a}.tar.bz2
Source51: http://xmms-shell.sourceforge.net/%{additional_misc_plugin_a}.tar.bz2
Source100: xmms-logo.xpm


Patch3: xmms-1.2.4-latin1.patch.bz2
Patch4: xmms-1.2-audio-patch.bz2
Patch7: xmms-shell-0.99.3-fix-missing-ncurses.patch.bz2
Patch8: xmms-1.2.7-sox-fix-bootstrap.patch.bz2
Patch9: xmms-shell-0.99.3-fix-bootstrap.patch.bz2
Patch10: xmms-fix-smallfiles.patch.bz2
Patch12: xmms-fix-textbox.patch.bz2
Patch15: xmms-1.2.9-do-not-override-our-flags.patch.bz2
Patch16: xmms-1.2.4-sox-do-not-override-our-flags.patch.bz2
Patch18: xmms-1.2.7-fix-http-title-mpg123.patch.bz2
Patch20: xmms-shell-0.99.3-empty-playlist.patch.bz2
Patch22: xmms-shell-0.99.3-g++-3.3-build.patch.bz2
Patch23: xmms-shell-0.99.3-configure-fix.patch.bz2
Patch24: xmms-1.2.9-libtool.patch.bz2

Patch30: xmms-1.2.10-gcc34.patch.bz2

# 3dse patch by Cornelis Frank <Frank.Cornelis@rug.ac.be>, web http://studwww.rug.ac.be/~fcorneli/xmms/, license GPL
Patch50:  xmms-1.2.8-pre1-3dse.patch.bz2

# rediffed from this mail:
# http://lists.xmms.org/pipermail/xmms-devel/2002-January/002282.html
Patch60: xmms-1.2.9-pre1-AB-repeat.patch.bz2

Patch100: xmms-1.2.8-pre1-rva-2.patch.bz2
#gw adds an option to the diskwriter plugin: "Don't strip file name extension",
#gw useful for module files named like mod.demosong1
Patch101: http://ee.tut.fi/~heikki/foss/xmms/xmms-1.2.10-disk_writer-patch.diff.bz2
# (blino) support for KOI8/CP1251/CP866/UTF-8 encoding autodetection, from http://rusxmms.sourceforge.net/
# tarball from http://prdownloads.sourceforge.net/rusxmms/xmms-1.2.10-recode-csa27.4.tar.bz2
Patch102: xmms-1.2.10-ds-recode.patch.bz2
Patch103: xmms-1.2.10-fix-rus-typos.patch.bz2
Patch104: xmms-1.2.10-fonts.patch.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gettext-devel
BuildRequires: libgtk+-devel
BuildRequires: libxml-devel
BuildRequires: libvorbis-devel
BuildRequires: db1-devel
BuildRequires: libmikmod-devel
BuildRequires: libesound-devel
BuildRequires: readline-devel
BuildRequires: gettext
BuildRequires: ORBit-devel
BuildRequires: automake1.7
BuildRequires: automake1.4
BuildRequires: autoconf2.1
Requires: %{lib_name} = %{version}-%{release}

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

This package also provides an effect plugin based on Sox and a shell for xmms
in order to command the running xmms from any script/commandline.


%package -n %{lib_name}
Summary: Library associated with xmms, needed for xmms and its plugins.
Group: System/Libraries

%description -n %{lib_name}
This library is mandatory for xmms and for all its plugins to run.


%package -n %{lib_name}-devel
Summary: Development package with static libs and headers
Group: Development/C
Icon: xmms-devel-logo.xpm
Requires: %{lib_name} = %{version}-%{release}
Provides: libxmms-devel = %{version}-%{release} 
Provides: %{name}-devel = %{version}-%{release} 
Provides: %{name}%{lib_major}-devel = %{version}-%{release} 

%description -n %{lib_name}-devel
Static libraries and header files required for compiling xmms plugins.


%package esd
Summary: ESound output backend
Group: Sound
Icon: xmms-esd-logo.xpm
BuildRequires: esound-devel
Requires: %{name} = %{version}-%{release}
Requires: esound >= 0.2.14

%description esd
Output plugin for xmms for use with the esound package

%package alsa
Summary: ALSA output backend
Group: Sound
Icon: xmms-esd-logo.xpm
BuildRequires: libalsa-devel
Requires: %{name} = %{version}-%{release}

%description alsa
Output plugin for xmms for use with the ALSA drivers

%package diskwriter
Summary: DiskWriter output backend
Group: Sound
Requires: %{name} = %{version}-%{release}

%description diskwriter
Output plugin for xmms in order to output *.wav files instead of playing
sound on the soundcard.


%package mikmod
Summary: Sound player with the WinAmp GUI, Mikmod output backend
Group: Sound
Icon: xmms-mikmod-logo.xpm
BuildRequires: libmikmod-devel
Requires: %{name} = %{version}-%{release}
Requires: libmikmod >= 3.1.6

%description mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)

%package mesa
Summary: Visualization plugins that use the Mesa3d library
Group: Sound
Icon: xmms-mesa-logo.xpm
Requires: %{name} = %{version}-%{release}
BuildRequires: Mesa-devel

%description mesa
3D Visualization plugins for XMMS that use the Mesa3d library.


%prep
%setup -q -a 50 -a 51 -n %fname
%patch3 -p0
%patch4 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch12 -p0
%patch15 -p1
%patch16 -p0
%patch18 -p0
%patch20 -p0
%patch22 -p0
%patch23 -p0 -b .no-system-xmms-devel
%patch24 -p1 -b .libtool
%patch30 -p0
%ifnarch ppc
%patch50 -p1 -b .3dse
%endif

# rediffed from this mail:
# http://lists.xmms.org/pipermail/xmms-devel/2002-January/002282.html
%patch60 -p1 -b .ab

%patch100 -p1 -b .rva
%patch101 -p0 -b .diskwriter
%patch102 -p1 -b .rusxmms
%patch103 -p0 -b .ruspo
%patch104 -p1 -b .fonts

%build
aclocal
automake -a
autoconf # (gc) patched configure.in
%configure2_5x \
%ifarch %ix86
--enable-simd \
%endif
--disable-rpath
make

# (pablo) the po files are in oncorrect format; this is needed to compile them
export OLD_PO_FILE_INPUT=1
# (pablo) withouth the --escape parameter xgettext fails as there are
# non-ascii chars in the msgid entries
export XGETTEXT="/usr/bin/xgettext --escape"

# (gc) I want to grab the xmms-config built in .., for bootstrapping nicely
export PATH=.:$PATH
cd %{additional_effect_plugin_a}
rm -f configure
aclocal-1.4
libtoolize --copy --force
automake-1.4 -a -c
autoconf
CFLAGS="$RPM_OPT_FLAGS $(glib-config --cflags) $(gtk-config --cflags)" %configure
make
cd ..

cd %{additional_misc_plugin_a}
rm -f configure
aclocal-1.7
automake-1.7 -a -c
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS $(glib-config --cflags) $(gtk-config --cflags)" %configure2_5x
make
cd ..


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_libdir}/xmms/Effect
install -d $RPM_BUILD_ROOT/%{_libdir}/xmms/General
install -d $RPM_BUILD_ROOT/%{_libdir}/xmms/Input
install -d $RPM_BUILD_ROOT/%{_libdir}/xmms/Output
install -d $RPM_BUILD_ROOT/%{_libdir}/xmms/Visualization
install -d $RPM_BUILD_ROOT/%{_datadir}/xmms/Skins
install -d $RPM_BUILD_ROOT/%{_docdir}

%makeinstall_std

cd %{additional_effect_plugin_a}
%makeinstall libdir=$RPM_BUILD_ROOT/%{_libdir}/xmms/Effect
cd ..

cd %{additional_misc_plugin_a}
%makeinstall PREFIX=$RPM_BUILD_ROOT/%{_prefix}
cd ..

install -m644 %{SOURCE100} $RPM_BUILD_ROOT/%{_datadir}/xmms/xmms.xpm

# compatibility symlink
[ -r $RPM_BUILD_ROOT/%{_libdir}/libxmms.so.1 ] && \
	ln -s libxmms.so.1 $RPM_BUILD_ROOT/%{_libdir}/libxmms.so.0


install -d $RPM_BUILD_ROOT/%{_datadir}/mime-info
cat > $RPM_BUILD_ROOT/%{_datadir}/mime-info/xmms.keys << EOF
audio/x-mp3:
	open=xmms %f
	view=xmms %f
EOF
chmod 644 $RPM_BUILD_ROOT/%{_datadir}/mime-info/xmms.keys

install -d $RPM_BUILD_ROOT/%{_datadir}/pixmaps
if [ ! -r $RPM_BUILD_ROOT/%{_datadir}/pixmaps/xmms_logo.xpm ]; then
	cp %{SOURCE100} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/xmms.xpm
fi

# LMDK menu
install -d $RPM_BUILD_ROOT/%{_menudir}
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/%{_menudir}

# Icons
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

# replaced with zh_??
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/zh_??.*
#====
# updated po files for version 1.2.9 (pablo)
tar jxvf %{SOURCE6}
for i in po/*.po
do
	mkdir -p $RPM_BUILD_ROOT/usr/share/locale/`basename $i .po`/LC_MESSAGES
	msgfmt -o $RPM_BUILD_ROOT/usr/share/locale/`basename $i .po`/LC_MESSAGES/xmms.mo $i
done
#====

# RTL is not supported in gtk1
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/{ar,fa,he}
# complex scripts are not supported in gtk1
rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/{bn,hi,ta}

# nuke unpackaged files
%ifnarch %{mesa_arches}
rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization/libogl_spectrum*
%endif	

%find_lang %{name}

rm -f $RPM_BUILD_ROOT/%{_mandir}/*/gnomexmms.*
rm -rf $RPM_BUILD_ROOT/%{_datadir}/pixmaps
rm -f $RPM_BUILD_ROOT/%{_datadir}/mime-info/xmms.keys

rm -f %buildroot%_libdir/xmms/*/*.la

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README FAQ README.MDK
%{_bindir}/xmms
%{_bindir}/wmxmms
%{_bindir}/xmms-shell
%dir %{_libdir}/xmms
%dir %{_libdir}/xmms/Input
%{_libdir}/xmms/Input/libcdaudio*
%{_libdir}/xmms/Input/libmpg123*
%{_libdir}/xmms/Input/libwav*
%{_libdir}/xmms/Input/libtonegen*
%{_libdir}/xmms/Input/libvorbis*
%dir %{_libdir}/xmms/Output
%{_libdir}/xmms/Output/libOSS*
%dir %{_libdir}/xmms/General
%{_libdir}/xmms/General/*
%dir %{_libdir}/xmms/Effect
%{_libdir}/xmms/Effect/*
%dir %{_libdir}/xmms/Visualization
%{_libdir}/xmms/Visualization/libbscope*
%{_libdir}/xmms/Visualization/libsanalyzer*
%dir %{_datadir}/xmms
%dir %{_datadir}/xmms/Skins
%{_datadir}/xmms/wmxmms.xpm
%{_datadir}/xmms/xmms.xpm
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/*
%{_mandir}/*/xmms.*
%{_mandir}/*/wmxmms.*
%{_mandir}/*/xmms-shell.*

%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libxmms.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING ChangeLog 
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/xmms.m4
%{_bindir}/xmms-config

%files esd
%defattr(-, root, root)
%doc COPYING
%{_libdir}/xmms/Output/libesdout*

%files alsa
%defattr(-, root, root)
%doc COPYING
%{_libdir}/xmms/Output/libALSA.so

%files diskwriter
%defattr(-, root, root)
%doc COPYING
%{_libdir}/xmms/Output/libdisk_writer*


%files mikmod
%defattr(-, root, root)
%doc Input/mikmod/COPYING
%{_libdir}/xmms/Input/libmikmod*

%ifarch %{mesa_arches}
%files mesa
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xmms/Visualization/libogl_spectrum*
%endif

%changelog
* Fri Oct 01 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.10-11mdk
- updated translations
- added ",*" at the end of fontsets in patch104, so it works for
  encodings without fonts named "helvetica" (eg: japanese, etc)

* Thu Aug 12 2004 Olivier Blin <blino@mandrake.org> 1.2.10-10mdk
- Patch104 from from Roman Shiryaev:
  o don't use -adobe-helvetica (it doesn't contain russian glyphs) but -*-helvetica
  o use xfonts and fontsets by default to use correct charset
   (by default latin iso8859-1 was used instead of charset from LC_* variables)

* Tue Aug 10 2004 Olivier Blin <blino@mandrake.org> 1.2.10-9mdk
- fix russian typos in po

* Mon Aug  9 2004 Olivier Blin <blino@mandrake.org> 1.2.10-8mdk
- Patch102: support for KOI8/CP1251/CP866/UTF-8 encoding autodetection
  (from http://rusxmms.sourceforge.net/)

* Thu Jul 29 2004 Olivier Blin <blino@mandrake.org> 1.2.10-7mdk
- merge amd64 fixes from Gwenole

* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.10-6mdk
- Patch23: remove xmms-shell configure dependency on xmms-devel

* Mon Jul 12 2004 Michael Scherer <misc@mandrake.org> 1.2.10-5mdk 
- patch 30, make libxmms usable with gcc34 and c++

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.10-4mdk
- rebuild for new alsa

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 1.2.10-3mdk 
- rebuild for new gcc

* Tue Jun  1 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.10-2mdk
- fix buildrequires
- fix sox plugin and xmms-shell build
- rebuild for new alsa

* Tue Apr 13 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-4.2mdk
- disable mmx optimizations on amd64, don't leave undefined bits in

* Wed Apr  7 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.2.10-1mdk
- removed patch102 (upstream)
- updated patch101
- New release 1.2.10

* Mon Mar 29 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.9-5mdk
- updated translations

* Mon Mar 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.9-4.1mdk
- libtool fixes

* Fri Mar 12 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.9-4mdk
- updated translations
- corrected encoding of spec file

* Tue Feb 24 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.9-3mdk
- Levi Ramsey <levi@cygnetnet.net>:
  - Patch102: fix (or at least work around) bug in xmmsctrl that causes
    some plugins (song change, xmms-imms, volnorm, et al) to generate
    GLib memory errors

* Sat Jan 31 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.2.9-2mdk
- --enable-simd is only valid for x86 targets

* Thu Jan 29 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.9-1mdk
- fix additional plugins build
- rediff patch 15
- new version, hopefully fixing the alsa problems

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.9-0.pre1.1mdk
- rediff patch 60
- 1.2.9-pre1

* Sun Nov 23 2003 Stefan van der Eijk <stefan@eijk.nu> 1.2.8-2mdk
- BuildRequires: gettext-devel

* Thu Nov 20 2003 Götz Waschk <waschk@linux-mandrake.com> 1.2.8-1mdk
- simplify buildrequires
- drop packager tag
- disable rpath mess
- png icons for the menu
- drop .la files
- add alsa package
- drop idc plugin
- drop gnome stuff
- autoconf2.5 macro
- add patch 101 : disk writer file name fix
- patch 100: rva support
- rediff patches 50,60
- drop source 101 (1.2.7 translations)
- drop patches 2,19,21,51
- new version

* Tue Nov 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.7-26mdk
- added P60: enable AB feature (see README.MDK)

* Fri Aug 29 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.7-25mdk
- included new translations

* Wed Aug 20 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-24mdk
- libtool & deps fixes

* Wed Aug  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-23mdk
- own /usr/share/xmms/Skins
- use mklibname, fix devel provides
- x11amp is very old, no need to keep its obsoletes/provides anymore

* Mon Aug 04 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.7-22mdk
- included new translations

* Tue Jul  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-21mdk
- rebuild for new devel provides

* Mon May 26 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-20mdk
- own /usr/share/xmms

* Tue May 20 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-19mdk
- own /usr/lib/xmms etc (thx distlint)

* Mon Mar 03 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.7-18mdk
- included new translations

* Mon Feb 17 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.7-17mdk
- included new translations

* Sat Dec 21 2002 Laurent Culioli <laurent@pschit.net> 1.2.7-16mdk
- Rebuild against new glibc

* Thu Dec 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-15mdk
- fix segfaulting xmms-shell thx to Götz Waschk <waschk@informatik.uni-rostock.de>

* Tue Dec 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-14mdk
- update xmms-shell to 0.99.3 thx to Götz Waschk <waschk@informatik.uni-rostock.de>
- include more manpages

* Thu Sep  5 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.7-13mdk
- rebuild to include latest translations

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-12mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-11mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.7-10mdk
- rebuild for new readline

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-9mdk
- recompile against new vorbis stuff

* Mon Jun 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-8mdk
- fix xmms-shell bootstrapping was broken (thx geoff)

* Tue May 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.7-7mdk
- Nuke gnome-xmms subpackage for now
- Patch20: Don't assume namespace std has global scope
- Patch21: Add missing includes

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.7-6mdk
- Don't apply patch #50 on PPC; it breaks build
- Remove patch #30; it was only for PPC and a work around for buggy patch #50

* Thu Mar 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-5mdk
- update xmms-shell by Goetz Waschk <waschk@informatik.uni-rostock.de>
- latest version of 3dse patch (final 11)
- really don't use percent-make nowhere, this really sucks because when
  make needs to re-running automake it often fails, I'd really like
  no one re-modify it back

* Thu Mar 14 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-4mdk
- included back some translations (pablo)
- patch czech po (Martin Mačok <martin.macok@underground.cz>, #19)

* Wed Mar 13 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-3mdk
- patch for http stream titles

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-2mdk
- disable patch #18 to fix po install location, thx to Martin Maèok
  <martin.macok@underground.cz>

* Tue Mar  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.7-1mdk
- mew version

* Sun Mar 03 2002 David BAUDENS <baudens@mandrakesoft.com> 1.2.6-3mdk
- Add application/x-ogg in list of supported mime types

* Fri Jan 11 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.2.6-2mdk
- Quick Hack: Put all of the locales back into 1.2.6 (gc is a sucker ;p).
- Really no more rpath (nuked the final one in opengl_spectrum).

* Thu Jan 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6 final

* Thu Dec  6 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.6-0.pre1.2mdk
- rework OSS patch - PPC

* Tue Dec  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.6-0.pre1.1mdk
- pre1 of 1.2.6
- fix_memoryleak_from_fontloads seems no more needed (please test ;p)

* Mon Nov 12 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.5-7mdk
- back-patch libOSS to avoid segfault, missing symbols on PPC

* Fri Nov  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-6mdk
- change longtitle in accordance to Cooker ML suggestions
- replace BuildRequires from gnome-core-devel to libpanel_applet-devel

* Tue Oct 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-5mdk
- fix obsolete-not-provided
- fix patch-not-applied
- fix use-of-RPM_SOURCE_DIR
- fix binary-or-shlib-defines-rpath

* Tue Sep 18 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-4mdk
- fix title with mp3 shoutcast streaming, thanks to
  Nicolas Pomarede <npomarede@kaptech.com>
  see http://bugs.xmms.org/show_bug.cgi?id=350

* Tue Sep 18 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.5-3mdk
- Fix menu (mimetype)

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-2mdk
- have gnomexmms man page in -gnome package

* Tue Jun 19 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-1mdk
- final 1.2.5

* Mon May 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-0.pre1.4mdk
- include man pages in package

* Wed May 16 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-0.pre1.3mdk
- add a strict require to the lib package since author doesn't seem to be
  willing to comply to standard soname naming policy

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-0.pre1.2mdk
- re-integrate 3dse patch now it's available

* Fri May 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.5-0.pre1.1mdk
- 1.2.5 pre1
- try to refine the BuildRequires

* Mon Apr 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-13mdk
- use fixed it.mo from http://traktor.nlh.no/~havardk/it.mo,
  thanks to Roberto Rosselli Del Turco <rosselli@ling.unipi.it>

* Sun Apr 15 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-12mdk
- Fix once again build on PPC

* Mon Apr  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-11mdk
- try to not segfault too much when vorbis input plugin cannot get a
  valid opened audio device (patch #14)
- do not override our compile flags (patches #15, #16, #17)

* Mon Mar 26 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-10mdk
- un-dadouize all the macros and stuff (dadou, pliz work on your packages)
- fix requires (libmikmod)

* Thu Mar 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-9mdk
- use cleaner lib policy macros
- fix provides

* Thu Mar  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-8mdk
- fix russian po, thx to Andrej Borsenkow <Andrej.Borsenkow@mow.siemens.ru>

* Mon Mar  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-7mdk
- rebuild to get a working xmms-config in respects of glib includes

* Sat Mar  3 2001 Andrew Lee <andrew@linux.org.tw> 1.2.4-6mdk
- xfont, i18n patches is now included in the origial xmms distribution
- added a patch to fix wchar_t to GdkWChar conversion problem in 
  playlist_list.c, thanks to Chun-Chung Chen <cjj@u.washington.edu>
- added a patch to enable multibytes config default
- Geoffrey Lee <snailtalk@mandrakesoft.com>
  - Ugly hack to build for now as it is missing a C.gmo target.
  - Ugly hack to make it build with the latest glib/gtk.

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-5mdk
- Remove buildconflicts on libxml2-devel

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-4mdk
- Provides: xmms-devel

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-3mdk
- Fix build on PPC
- Fix Requires

* Wed Dec 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.4-2mdk
- Allow everybody to build (GC)
- Use %%make macro

* Tue Nov 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4 (now includes Vorbis player)

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-10mdk
- new lib policy
- provides 48x48 xpm

* Wed Nov  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-9mdk
- remove Dadou's s*cking justifying of rpm-tags, please Dadou do whatever
  you want with your packages, do not mess with mines

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.2.3-8mdk
- Fix build for PPC
- Add mesa package for PPC too
- Use %%make macro

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-7mdk
- buildconflicts with libxml2-devel, thx to fcrozat

* Mon Oct 16 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-6mdk
- BuildRequires gnome-core-devel (applet-widget.h)

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-5mdk
- separate DiskWriter plugin to decrease newbie problems

* Fri Oct  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-4mdk
- patch to fix infinite loop with small files (rh)
- definitive patch to fix memory leak: it seems that this bug comes
  gdk_font_unref that bugs with XFree86-libs-4.x ; fixing it by
  removing the (unecessary) reload of the font each time the playlist
  is redrawn (thanks to pixel)

* Mon Oct  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-3mdk
- fix bootstrapping for fredl

* Wed Sep 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-2mdk
- rebuild for soundwrapper and kde_mimetype support, thanks to vince
- seems like it needs the latest gtk+ or it segfaults, thanks to Chmouel
- workaround for memory leak detected while playing ogg vorbis files:
  comment out refresh of playlist

* Sun Sep 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3 which fixes the memory leak

* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-7mdk
- added %config(noreplace)

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-6mdk
- added full url location for included plugins for ease of further
  package manipulation

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-5mdk
- added packager tag

* Wed Aug  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-4mdk
- added a niqueluisarace patch to 3dse in order to not defaultly focus
  to 3dse when opening the `configure' panel of OSS

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-3mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- BM
- menu/icons macros

* Wed Jul 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2 
- ported Chun-Chung Chen xfont patch (a pain)
- patched the french translation of `Visualization Plugins' nonsense

* Tue Jun 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-3mdk
- added 3DSE patch
- added sox effect plugin
- added xmms-shell misc plugin
- macroization

* Fri Jun 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-2mdk
- included contrib by <andrew@cle.linux.org.tw> :
    added xmms-1.2.1-xfont.diff by Chun-Chung Chen <cjj@u.washington.edu>

* Tue Jun 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1 that fixes many bugs

* Tue Jun 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0
- patches:
		i18n patch seems no more necessary (included now)
		big5 patch still needed
		audio.c patch still needed, had to port it to 1.2.0
		latin1_text patch still needed	
- added patch:
		fix default playlist font (was a fontset instead of a font)

* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-10mdk
- added provides libxmms to enable smooth upgrade of package xmms

* Sat Apr 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-9mdk
- added a lot of new and improved translation files from our translator teams
- /usr/share/pixmap -> /usr/share/pixmaps

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- fixed menu conflict gnome/menu
- added 32x32 icon
- better directory owns

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-7mdk
- better icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- now shipping xmms-more-vis-plugins and xmms-kjofol-skins as
  separate packages (thx to Pablo)
- minor fixes of warnings

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- fixed group problem
- fixed missing icon

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- add menu support
- patched french translation

* Mon Mar 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- add xmms-more-vis-plugins packages
- add kjofol-skins package
- new groups

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-2mdk
- add xmms-config to devel package or else xmms apps refuse to build
  (reported by Geoffrey Lee <snailtalk@linux-mandrake.com>)
- updated the various language translations

* Fri Feb  4 2000 Andrew Lee <andrew@cle.linux.org.tw> 1.0.1-1mdk
- add Chun-Chung Chen <cjj@u.washington.edu> big5 patch
- update i18n patch, po files and Thanks for jouston@i18n.linux.org.tw
- fix xmms-mesa isn't build
- aclocal
- autoconf

* Thu Feb 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.0-2mdk
- moved skins to its own spec file
- made a libxmms.so.0 compatibility symlink

* Mon Jan 31 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.0-1mdk
- upodated to 1.0.0 and applied i18N patches
- added patch for 16bits encodings on song names
- xmms-mesa isn't built... why ?

* Sun Jan 23 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Chinese and Catalan interfaces

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.5.1-9mdk
- use a %_tmpath
 
* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force
- fix naughty things done to Input/mikmod/Makefile.in by the i18n patch
- mesa is x86 only (?)

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)
- added German interface

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- redo the i18n patch with some improvements
- added (beginning of) ukrainian localization

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- clean files of gnome pkg
- Updated po files from Pablo

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- Update Requires

* Tue Oct 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- found a solution to the libmp123.so problem ( mmap() should be used
  the code seems broken; by undefining HAVE_MMAP it works)
  Thanks to Giuseppe Ghibo`

* Mon Oct 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added back the i18n support
- and improved the %files sections a bit

* Fri Oct 01 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- updated to 0.9.5.1.

* Sat Sep 25 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- added a check for skin path to avoid duplicate entries.
- added Bill Nottingham's <notting@redhat.com> for opening
  in non-blocking mode.

* Thu Sep 23 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- updated to 0.9.5.
- added skins.

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the sources to add full i18n support,
- added menus for Gnome
- some (yet incomplete) *.po files
- there is still a big problem with the compiling of Input/mp123/;
  the rules for assembly disappear when calling autoconf (no definitions
  in config.in :-\ ), and I discovered a bug in common.c that made the
  playlist become crazy (why doesn't it showed up on standard 0.9.1 ??)

* Sat Jul 19 1999 Giuseppe Ghibò <ghibo@linux-mandrake.com>
- Rebuilt for libmikmod 3.1.6 compatibily.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting libmikmode (we provide now a libmikmod package).
- Add patch compilation.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix corba files to point to /etc/CORBA/
- Include applets.
- Removing mikmod (we don't provides libmikmode.)

* Sun Jun 27 1999 Bernhard Rosenkränzer <bero@mandrakesoft.de>
- Mandrake adaptions

* Fri Apr 09 1999 Lyle Kempler <kempler@utdallas.edu>
- initial version
